# Class AuthRequest

java.lang.Object
org.apache.zookeeper.server.admin.AuthRequest

public class AuthRequest extends Object
Class representing auth data for performing ACL check on admin server commands. For example, SnapshotCommand requires
invalid reference

    ZooDefs.Perms.ALL

permission on the root node.

## Constructor Summary

Constructors
Constructor
Description
`AuthRequest(int permission, String path)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPath()`
`int`
`getPermission()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthRequest

public AuthRequest(int permission, String path)

Parameters:
  `permission` - the required permission for auth check
  `path` - the ZNode path for auth check

## Method Details

### getPermission

public int getPermission()

Returns:
  permission

### getPath

public String getPath()

Returns:
  ZNode path

### toString

public String toString()

Overrides:
  `toString` in class `Object`